# GimpUi.ProcedureDialog.set_sensitive

    @accepts(GimpUi.ProcedureDialog, unicode, bool, GObject.Object, unicode, bool)
    @returns(none)
    def set_sensitive(self, property, sensitive, config, config_property, config_invert):
        # Python wrapper for gimp_procedure_dialog_set_sensitive()

Sets sensitivity of the widget associated to property in self. If config is None, then it is set to the value of sensitive. Otherwise sensitive is ignored and sensitivity is bound to the value of config_property of config (or the negation of this value if @config_reverse is True).

self

  the GimpUi.ProcedureDialog.

property

  name of a property of the Gimp.Procedure self has been created for.

sensitive

  whether the widget associated to property should be sensitive.

config

  an optional config object.

config_property

  name of a property of config.

config_invert

  whether to negate the value of config_property.